- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 63a0171b-4ee9-4a7b-8eb4-e3e17769f298
    creation_time: 2023-02-17T12:09:37.450045Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound50.c: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound50.c
    file_hash: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y*y-2*x+y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5c30f5ce-2cdd-4e64-984e-352eb4813990
    creation_time: 2023-02-17T12:09:37.450395Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound50.c: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound50.c
    file_hash: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
    line: 28
    column: 0
    function: main
  location_invariant:
    string:  ( y*y ) -2*x+y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d0e7be6c-60b4-4caa-a1a1-12d9110038c7
    creation_time: 2023-02-17T12:09:37.450501Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound50.c: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound50.c
    file_hash: 82dba59912342fc33baf6f71838a6b7d05440c02338f64f7b1e8151e293c49a7
    line: 37
    column: 0
    function: main
  location_invariant:
    string:  ( y*y ) -2*x+y == 0
    type: assertion
    format: C

